Update glacier-update.sh

This commit is contained in:
everest 2022-03-10 17:29:06 +00:00 committed by GitHub
parent a9f125a2ab
commit d7bb7320a0
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

View File

@ -10,9 +10,17 @@ fi
echo "[ ? ] Enter package name:" && read input
echo "[ i ] Downloading $input.tar.gz..."
wget https://github.com/everest-linux/glacier-pkgs/raw/main/pkgs/$input.tar.gz || echo "[ X ] Failed to get archive for $input"
wget https://github.com/everest-linux/glacier-pkgs/raw/main/pkgs/$input.tar.gz
if [ "$?" != "0" ]; then
echo "[ X ] Could not get archive for $input." 1>&2
exit 1
fi
echo "[ i ] Unpacking $input,tar.gz..."
tar -xvf $input.tar.gz || echo "[ X ] Failed to unpack archive for $input."
tar -xvf $input.tar.gz
if [ "$?" != "0" ]; then
echo "[ X ] Could not unpack $input.tar.gz" 1>&2
exit 1
fi
cd $input
chmod +x UPDATE.sh
./UPDATE.sh
@ -22,4 +30,4 @@ rm $input.tar.gz
rm INSTALL.sh
rm UPDATE.sh
rm REMOVE.sh
echo "[ i ] Finished installation of $input." || echo "[ X ] Installation of $input failed."
echo "[ i ] Operation completed."